This page uses JavaScript. Your browser either does not support JavaScript or you have it turned off. To see this page properly please use a JavaScript enabled browser.
Home > Electronic Banking > System Requirements

System Requirements

The following system requirements are recommended for your use of APCI Federal Credit Union's APCI eCU suite of electronic banking services. We encourage you to implement the latest operating system patches and updates to your anti-virus for your safety and navigational compatibility.

Online banking services work with many different web browsers. To help protect your security and home banking experience, please use one of the newest browsers such as:

  • Microsoft Internet Explorer
  • Apple Safari
  • Google Chrome
  • Mozilla Firefox

Supported operating systems from Microsoft include:

  • Windows 7, Windows 8, and Windows 10
  • Apple OSX 10.11 and above

You will need to have a working email address on file in order to receive notices and alerts from APCI Federal Credit Union. APCI FCU will never ask for personal information through the use of email. Adobe Reader or a compatible PDF reader will be required for online statements, document, disclosures, and notices.